www.cendio.com

Bug 5958

Summary: vncviewer crashes on Windows for CRLF clipboard
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: Build systemAssignee: Pierre Ossman <ossman@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se, hean01@cendio.se
Version: pre-1.0Keywords: hean01_tester, prosaic
Target Milestone: 4.7.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2016-08-16 15:07:46
There is a bug in FLTK that causes vncviewer on Windows to crash when it
receives clipboard data containing CRLF line endings[1]. The problem is a bad
for loop that causes buffer overflows.

[1] These are technically a RFB protocol violation, but we are not filtering or
enforcing this properly
------- Comment #3 From cendio 2016-08-17 16:32:11 -------
Verified that chavez builds out client with fltk-1.3.3-8
------- Comment #4 From cendio 2016-08-18 09:59:04 -------
Verified that i could reproduce the crash with 4.6.0 client and that it
clipboard is working as expected using build 5208 on the windows platform.